# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorarch: %global perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-Socket6
Version:	0.23
Release:	6.%{__distinit}%{__distvers}
Summary:	IPv6 related part of the C socket.h defines and structure manipulators
Group:		Development/Libraries
License:	BSD
URL:		http://search.cpan.org/dist/Socket6/
Source0:	http://search.cpan.org/CPAN/authors/id/U/UM/UMEMOTO/Socket6-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module supports getaddrinfo() and getnameinfo() to intend to enable
protocol independent programing. If your environment supports IPv6, IPv6
related defines such as AF_INET6 are included.

%prep
%setup -q -n Socket6-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type f -name '*.bs' -empty -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} -R u+w %{buildroot}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorarch}/Socket6.pm
%{perl_vendorarch}/auto/Socket6/

%changelog
* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.23-6
- Rebuild for perl 5.12.1 in Rawhide

* Tue Jun  1 2010 Paul Howarth <paul@city-fan.org> - 0.23-5
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> - 0.23-4
- Dist tag for Rawhide no longer needs special-casing

* Thu Sep 24 2009 Paul Howarth <paul@city-fan.org> - 0.23-3
- Use %%{?perl_default_filter} for provides filter

* Mon Mar  2 2009 Paul Howarth <paul@city-fan.org> - 0.23-2
- Filter out unwanted provides for perl shared objects
- Update to SLES-compatible dist tag macros

* Wed Nov  5 2008 Paul Howarth <paul@city-fan.org> - 0.23-1
- update to 0.23

* Mon Aug 18 2008 Paul Howarth <paul@city-fan.org> - 0.22-1
- update to 0.22
- tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon Feb 18 2008 Paul Howarth <paul@city-fan.org> - 0.20-1
- update to 0.20 (perl 5.10.x compatibility update)

* Fri Dec 21 2007 Paul Howarth <paul@city-fan.org> - 0.19-5
- import from Fedora
- fix argument order for find with -depth

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.19-4.1
- add BR: perl(ExtUtils::MakeMaker)

* Tue Aug 21 2007 Warren Togami <wtogami@redhat.com> - 0.19-4
- rebuild

* Wed Jul 12 2006 Warren Togami <wtogami@redhat.com> - 0.19-3
- import into FC6

* Thu May 18 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.19-2
- License: BSD (http://www.opensource.org/licenses/bsd-license.php).

* Sat May 13 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.19-1
- First build.
